body {
    padding-top: unset !important;
}

.body-wrapper {
    overflow: initial;
    overflow-x: unset !important;
}

body div header.header,
body.sticky div header.header {
    position: sticky !important;
    top: -50px;

    @media screen and (max-width: 768px) {
        top: 0;
    }
}

body div .top-menu {
    .container .block {
        display: flex;
        justify-content: space-between;
        align-items: center;

        p {
            margin: 0;
            font-size: 14px;
        }

        .top-bar-menu {
            display: flex;
            justify-content: start;
            align-items: center;
            gap: 16px;
            margin: 0;

            li,
            li a {
                display: flex;
                justify-content: center;
                align-items: center;
                font-size: 14px;
            }

            li a {
                gap: 4px;
            }
        }
    }

    background-color: #dfe6dc;
    color: black;

    .top-header-text.text-1.desktop {
        background-color: #dfe6dc;
        color: black;
    }

    a {
        color: black !important;
    }
}

body main div.module {
    @media screen and (max-width: 990px) {
        padding: 24px 0;
    }

    &:last-of-type {
        padding-bottom: 96px;
    }
}

.menu-header {
    position: relative;

    .container {
        .block {
            display: grid;
            grid-template-columns: 20% 1fr 20%;

            @media screen and (max-width: 1200px) {
                grid-template-columns: 20% 1fr 10%;
            }

            @media (max-width: 990px) {
                grid-template-columns: 1fr 1fr;
            }

            .outer-block,
            .menu-block {
                width: 100%;
            }

            .outer-block.end {
                display: flex;
                justify-content: end;
                align-items: center;
                gap: 16px;

                .nav-link {
                    background-color: transparent;

                    .lines:before,
                    .lines:after,
                    .lines {
                        background: black;
                    }

                }
            }

            .show-menu .nav-link .lines {
                background: transparent;
            }

            .menu-block {

                nav,
                .main-menu {
                    height: 100%;
                }

                .main-menu {
                    display: flex;
                    justify-content: center;
                    gap: 32px;

                    li {
                        height: 100%;
                        display: flex;
                        justify-content: start;
                        align-items: center;

                        &.has-submenu::after {
                            content: "\f107";
                            font: normal normal normal 14px / 1 FontAwesome;
                            font-size: 16px;
                            position: absolute;
                            top: 19px;
                            left: 75px;
                            cursor: pointer;
                            text-align: center;
                        }
                    }

                    a {
                        color: #0f1f09;
                        font-size: 16px;
                        text-decoration: none;
                        font-weight: 500;
                        white-space: nowrap;

                        &:hover {
                            font-weight: 600;
                        }
                    }

                    .wpml-ls-slot- {
                        display: none;
                    }

                    li.has-submenu:hover .submenu {
                        display: block;
                    }

                    .submenu {
                        padding: 8px 4px;
                        width: 300px;
                        top: 100%;
                        box-shadow: 0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1);
                    }
                }
            }

            .lang-block {
                display: flex;
                align-items: center;
                justify-content: end;
                gap: 4px;
                position: relative;
                cursor: pointer;

                @media screen and (max-width: 990px) {
                    padding-right: 36px;
                }

                span {
                    font-size: 16px;
                    text-transform: uppercase;
                }

                .wpml-langswitch {
                    cursor: unset;
                    display: none;
                    position: absolute;
                    top: 100%;
                    background-color: white;
                    padding: 8px;
                    width: 56px;
                    z-index: 100;
                    box-shadow: 0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1);
                    left: -15px;

                    span {
                        text-transform: none;
                        color: #0f1f09;
                    }

                    &.open {
                        display: block;
                    }
                }
            }

            .search-block {
                display: flex;
                align-items: center;
                justify-content: end;

                svg {
                    cursor: pointer;
                }

                #custom-search-input {
                    top: 55%;

                    form {
                        background-color: white;
                    }

                    @media screen and (max-width: 990px) {
                        width: 100%;
                        top: 100%;
                        left: 0;
                        display: none;
                    }
                }
            }
        }
    }
}

body div .nav__main a {
    text-transform: none;
}

body header.header .container {
    padding-right: 15px;
}

.align-left {
    @media (max-width: 990px) {
        text-align: center !important;
    }
}

body div .top-menu {
    @media screen and (max-width: 768px) {
        display: block;

        .block {
            p {
                font-size: 0 !important;
            }

            .top-bar-menu {
                justify-content: space-between !important;
                width: 100%;

                li:nth-child(3) {
                    display: none;
                }
            }
        }
    }
}

body.show-menu .overlay {
    background: white;
    padding-top: 74px;

    @media screen and (max-width: 990px) {
        padding-top: 158px;
    }

    @media screen and (max-width: 767px) {
        padding-top: 124px;
    }
}

.menu-desktop {
    display: block;

    @media screen and (max-width: 990px) {
        display: none;
    }
}

.menu-block {
    display: block;

    @media screen and (max-width: 990px) {
        display: none;
    }
}

.menu-icon-mobile {
    display: flex;
    width: 50px;
    height: 50px;
    justify-content: center;
    align-items: center;
}

.mobile-menu-block {
    display: none;

    .submenu.submenu--small {
        display: block;
        position: unset;
    }
}

.menu-mobile {
    padding: 0 16px;
    display: none;

    @media screen and (max-width: 990px) {
        display: block;
    }

    li {
        width: 100%;

        a {
            display: inline-block;
            padding: 8px 0;
            color: #0f1f09;
            transition: 75ms4;
            width: 100%;
            font-size: 20px;

            &:hover {
                background-color: #f0f0f0;
            }
        }
    }
}

.show-menu .mobile-menu-block {
    display: block;
}

.main-menu li.has-submenu::after {
    left: 100% !important;
    margin-left: -24px;
    top: 10px;
}

.language-country-flag {
    width: 24px;
    height: 24px;
    object-fit: cover;
}

@media(max-width: 767px) {
    body header.header {
        z-index: 999 !important;
    }

    body.show-menu .overlay {
        z-index: 99 !important;
    }
}

#gform_4,
#gform_14,
#gform_17 {
    .gfield_label {
        display: none !important;
    }

    .ginput_container.ginput_container_text input {
        height: auto !important;
        width: calc(83% - 160px) !important;
        padding: 5px !important;
        border-bottom: 1px solid #fff;
        border-top: none !important;
        border-left: none;
        border-right: none;
        text-align: center;
        font-size: 15px;
    }
}